package
{
	import flash.display.Bitmap;

	import starling.core.Starling;
	import starling.display.DisplayObjectContainer;
	import starling.display.Image;
	import starling.textures.Texture;

	public class Game extends DisplayObjectContainer
	{

		[Embed(source="/../assets/image.jpg")]
		private var IMAGE:Class;

		private var mBitmap:Bitmap;
		private var mTexture:Texture;
		private var mImage:Image;

		private var mCounter:int;

		public function Game()
		{
			super();
		}


		public function init():void
		{
			mBitmap = new IMAGE();

			uploadTexture();
		}


		private function uploadTexture():void
		{
			trace("Uploading texture:", ++mCounter);
			mTexture = Texture.fromBitmapData(mBitmap.bitmapData, false, false, 2, "bgra", false, onTextureUploaded);
		}


		private function onTextureUploaded():void
		{
			trace(" > > Texture uploaded");

			mImage = new Image(mTexture);
			mImage.x = (Main.width - mTexture.width) * 0.5;
			mImage.y = (Main.height - mTexture.height) * 0.5;
			addChild(mImage);

			Starling.juggler.delayCall(disposeImage, 0.15);
		}


		private function disposeImage():void
		{
			trace(" > > > Disposing image");
			trace(" ");
			mImage.removeFromParent(true);
			mTexture.dispose();

			Starling.juggler.delayCall(uploadTexture, 0.15);
		}

	}

}
