/*
Feathers
Copyright 2012-2016 Bowler Hat LLC. All Rights Reserved.

This program is free software. You can redistribute and/or modify it in
accordance with the terms of the accompanying license agreement.
*/
package feathers.layout
{
	/**
	 * Constants that define an orientation or set of orientations.
	 */
	public class Orientation
	{
		/**
		 * Landscape orientation where width is larger than height.
		 */
		public static const LANDSCAPE:String = "landscape";

		/**
		 * Portrait orientation where height is larger than width.
		 */
		public static const PORTRAIT:String = "portrait";

		/**
		 * No orientation.
		 */
		public static const NONE:String = "none";

		/**
		 * Both landscape and portrait orientation.
		 */
		public static const BOTH:String = "both";
	}
}
